/*
 * Oprogramowanie opracowane na potrzeby
 * Uniwersytetu Mlodych Wynalazcow
 *
 * Copyright (C) 2015, Konrad Iwanicki
 */
#ifndef __UMW_RADIO_APP_H__
#define __UMW_RADIO_APP_H__

#include <AM.h>


typedef nx_struct kom_odczyty_sensorow
{
    nx_uint16_t   nrUrzadzenia;
    nx_uint32_t   nrOdczytu;
    nx_int8_t     tempCalk;
    nx_uint8_t    tempUlam;
    nx_uint8_t    wilgCalk;
    nx_uint8_t    wilgUlam;
} kom_odczyty_sensorow_t;


typedef nx_struct kom_zmiana_diod
{
    nx_uint8_t   wartDiod;
    nx_uint32_t  biezacyOdczyt;
} kom_zmiana_diod_t;

enum
{
    AM_KOM_ODCZYTY_SENSOROW = 57,
    AM_KOM_ZMIANA_DIOD = 58,
};


#endif /* __UMW_RADIO_APP_H__ */
